| Home | Libraries | People | FAQ | More

### ip::resolver_query_base

The resolver_query_base class is used as a base for the basic_resolver_query class templates to provide a common place to define the flag constants.

    class resolver_query_base

##### Protected Member Functions

Name | Description
--- | ---
~resolver_query_base | Protected destructor to prevent deletion through this type.

##### Data Members

Name | Description
--- | ---
address_configured | Only return IPv4 addresses if a non-loopback IPv4 address is configured for the system. Only return IPv6 addresses if a non-loopback IPv6 address is configured for the system.
all_matching | If used with v4_mapped, return all matching IPv6 and IPv4 addresses.
canonical_name | Determine the canonical name of the host specified in the query.
numeric_host | Host name should be treated as a numeric string defining an IPv4 or IPv6 address and no name resolution should be attempted.
numeric_service | Service name should be treated as a numeric string defining a port number and no name resolution should be attempted.
passive | Indicate that returned endpoint is intended for use as a locally bound socket endpoint.
v4_mapped | If the query protocol family is specified as IPv6, return IPv4-mapped IPv6 addresses on finding no IPv6 addresses.